Uncaught ReferenceError: define is not defined


#1

Hi everyone! I have updated ember to 2.4.2 and now I have such errors in my app:

Uncaught ReferenceError: define is not defined
    generateModule       @ app-shims.js:240
    processEmberShims    @ app-shims.js:215
    (anonymous function) @ app-shims.js:247
    (anonymous function) @ app-shims.js:251

and

Uncaught ReferenceError: define is not defined
    (anonymous function) @ app.js:1

Here is package.json:

{
  "name": "new-app",
  "version": "0.0.0",
  "description": "Small description for new-app goes here",
  "private": true,
  "directories": {
    "doc": "doc",
    "test": "tests"
  },
  "scripts": {
    "build": "ember build",
    "start": "ember server",
    "test": "ember test"
  },
  "repository": "",
  "engines": {
    "node": ">= 0.10.0"
  },
  "author": "",
  "license": "MIT",
  "devDependencies": {
    "broccoli-asset-rev": "2.4.2",
    "ember-ajax": "2.0.0-beta.2",
    "ember-cli": "2.4.2",
    "ember-cli-app-version": "^1.0.0",
    "ember-cli-babel": "5.1.6",
    "ember-cli-dependency-checker": "^1.2.0",
    "ember-cli-htmlbars": "1.0.3",
    "ember-cli-htmlbars-inline-precompile": "^0.3.1",
    "ember-cli-inject-live-reload": "^1.3.1",
    "ember-cli-qunit": "^1.1.0",
    "ember-cli-release": "1.0.0-beta.1",
    "ember-cli-sri": "2.1.0",
    "ember-cli-uglify": "^1.2.0",
    "ember-data": "2.4.0",
    "ember-disable-proxy-controllers": "^1.0.1",
    "ember-export-application-global": "^1.0.4",
    "ember-resolver": "^2.0.3",
    "loader.js":"3.6.0"
  }
}

Can somebody help? Thanks!


#2

The problem was solved by running ember init command with overwriting package.json and bower.json.